commit:     573b428403157682af61de8e2e0591e42b4ad0f3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 13 06:22:07 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 13 06:40:41 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=573b4284

dev-python/zope-interface: Bump to 8.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/zope-interface/Manifest                 |  1 +
 .../zope-interface/zope-interface-8.0.ebuild       | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/zope-interface/Manifest 
b/dev-python/zope-interface/Manifest
index 55d86cf0c760..4b0fe497f37c 100644
--- a/dev-python/zope-interface/Manifest
+++ b/dev-python/zope-interface/Manifest
@@ -1 +1,2 @@
 DIST zope.interface-7.2.tar.gz 252960 BLAKE2B 
be79d583c146d4b33213286696f929ce3f753aa9c966ecffe46c5ef508f1422b521509642a2f6475c0f1ddab3b70345ec31a4a37bf4b811ff3c6760ffc506c9d
 SHA512 
eb927395bd4c4b2567dfeabad9a88bf91cc0cc0838289e96d7452e6a7c9ea56237a1d1f492703eac71ac0957dc0d3e23f57ceec55ff82fcffbbf413e09868a9c
+DIST zope_interface-8.0.tar.gz 253397 BLAKE2B 
24daea2986375c68c44eb47ca4debecefc4c30b55ac21d5729074fe4c08b8c328b5f64a041f194901b4f7fb4bdcea8c363f34e2df473dcb05e9c855622311466
 SHA512 
d7628614649db2e32a4b7e294bb5bcadeb57d0fb45cddb568aa6ab2a2803832387e08d5777d193bf0853f9d3fe769ae98fa4bb5620f177e23f2a963b6c98d2dd

diff --git a/dev-python/zope-interface/zope-interface-8.0.ebuild 
b/dev-python/zope-interface/zope-interface-8.0.ebuild
new file mode 100644
index 000000000000..a319b7cfe1e8
--- /dev/null
+++ b/dev-python/zope-interface/zope-interface-8.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Interfaces for Python"
+HOMEPAGE="
+       https://github.com/zopefoundation/zope.interface/
+       https://pypi.org/project/zope.interface/
+"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
+IUSE="+native-extensions test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       test? (
+               dev-python/zope-event[${PYTHON_USEDEP}]
+               dev-python/zope-testing[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # strip rdep specific to namespaces
+       sed -i -e "/'setuptools'/d" setup.py || die
+       # force failure if extension build fails
+       sed -i -e "/'build_ext':/d" setup.py || die
+       if ! use native-extensions; then
+               sed -i -e '/ext_modules=/d' setup.py || die
+       fi
+}
+
+python_test() {
+       local -x PURE_PYTHON=0
+       if ! use native-extensions || [[ ${EPYTHON} == pypy3* ]]; then
+               PURE_PYTHON=1
+       fi
+
+       eunittest -s "${BUILD_DIR}/install$(python_get_sitedir)/zope"
+}

Reply via email to